<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                 xmlns="http://www.w3.org/1999/xhtml"> 

<xsl:output encoding="UTF-8"/>
<xsl:include href="common.xsl"/>

<xsl:template match="/ENRICHEDSPEC">
<html>	
<head>
<title> Enriched Specification </title>
<xsl:call-template name="styledefs"/>
</head>
<body><xsl:call-template name="unitheader"/>

	<div class="specheader"> <center>  Specification </center> </div> 
	<table>
	
	<tr>
	<td> 	<div class="usedspecs"> Used specifications: </div> </td>
	<xsl:for-each select="./SPECLIST/LIST">
		<td class="linkedspec">
		<a><xsl:attribute name="href"><xsl:value-of select="concat('../',concat(.,'/specification.xml'))"/></xsl:attribute> <xsl:value-of select="./LE"/> </a>
		</td>
	</xsl:for-each>
	</tr>
	</table>
	<hr/>
	<table width="100%">
	<tr><td class="comment"> Comment: </td>
	<td class="seq"> 
		<xsl:value-of select="./SPECCOMMENT"/>
	</td>
	</tr>
	</table>

	<div class="specheader"> Signature: </div>
	

	<table width="100%">
	
	<xsl:for-each select="./CSIGNATURE/CSIGNATURE">
	 <tr><th colspan="2"  class="tablehead">
		Sorts:
	 </th></tr>

	 <xsl:for-each select="./SORTCOMMENTLIST">
          <tr> <td class="seq"></td> </tr>
	 </xsl:for-each>

	 <tr><th colspan="2" class="tablehead">
		Constants:
	 </th></tr>
	 <xsl:for-each select="./CONSTCOMMENTLIST/LIST/LE/PAIR">
          <tr> <td class="seq">
		<xsl:value-of select="./FST/EXPR"/> </td> <td> Comment: <xsl:value-of select="./SND"/> 
	  </td> </tr>


	 </xsl:for-each>
	 <tr><th colspan="2" class="tablehead">
		Functions:
	 </th></tr>
	 <xsl:for-each select="./FCTCOMMENTLIST/LIST/LE/PAIR">
          <tr> <td class="seq">
		<xsl:value-of select="./FST/EXPR"/>  </td> <td> Comment: <xsl:value-of select="./SND"/> 
	  </td> </tr>
	 </xsl:for-each>


	 <tr><th colspan="2" class="tablehead">
		Predicates:
	 </th></tr>
	 <xsl:for-each select="./PRDCOMMENTLIST/LIST/LE/PAIR">
          <tr> <td class="seq">
		<xsl:value-of select="./FST/EXPR"/>  </td> <td> Comment: <xsl:value-of select="./SND"/> 
	  </td> </tr>
	 </xsl:for-each>


	 <tr><th colspan="2" class="tablehead">
		Generated by:
	 </th></tr>
	 <xsl:for-each select="./CGENLIST/LIST">
          <tr> <td class="seq">	???
	  </td> </tr>
	 </xsl:for-each>
	</xsl:for-each>
	
	
	 <tr><th colspan="2" class="tablehead">
		Axioms:
	 </th></tr>
	 <xsl:for-each select="./AXIOMLIST/LIST/LE/THEOREM">
	  <tr> <td class="axiomname"> <xsl:value-of select="./THEOREMNAME"/>
	  </td> 
          <td class="seq"> <xsl:value-of select="./THEOREMSEQ/SEQ"/>
	  </td> </tr>
	 </xsl:for-each>


	 <tr><th colspan="2" class="tablehead">
		Declarations:
	 </th></tr>
	 <xsl:for-each select="./DECLLIST/LIST/LE/THEOREM">
	  <tr> <td class="axiomname"> <xsl:value-of select="./THEOREMNAME"/>
	  </td> 
          <td class="seq"> <xsl:value-of select="./THEOREMSEQ/SEQ"/>
	  </td> </tr>
	 </xsl:for-each>


	</table>
	
	<hr/>

	</body>
	</html>




</xsl:template>



<xsl:template match="/BASICDATASPEC">
	<html>	
	<head>
	<title> Enriched Specification </title>
	<style type="text/css">
	.seq { white-space:pre; font-family:monospace ; font-size:150%  }
	.bgyellow {background-color:#FFFF00}
	.bgblue {background-color:#ade4FF}
	.bggreen {background-color:#00FF00}
	.tablehead {font-family:monospace; color:red; font-size:200% ; text-align: left}
	.axiomname {font-family:monospace; vertical-align:top; color:#00FF0F; font-size:150% ; text-align: left}
	.usedspecs { font-size:150% ; text-align: left}
	.comment { font-size:100% ; text-align: left}
	.linkedspec { font-size:150% ; text-align: left}
	.specheader {background-color:#FFFF00; font-size:200% ; text-align: left}
	.datatype {font-size:150% ; text-align: left; vertical-align:top}
	</style>
	</head>
	<body>
	<div class="specheader"> <center>  Specification </center> </div> 
	<table>
	
	<tr>
	<td> 	<div class="usedspecs"> Used specifications: </div> </td>
	<xsl:for-each select="./USEDSPECLIST/LIST">
		<td class="linkedspec">
		<a><xsl:attribute name="href"><xsl:value-of select="concat(.,'.xml')"/></xsl:attribute> <xsl:value-of select="./string"/> </a>
		</td>
	</xsl:for-each>
	</tr>
	</table>
	<hr/>
	<table width="100%">
	<tr><td class="comment"> Comment: </td>
	<td class="seq"> 
		<xsl:value-of select="./SPECCOMMENT/string"/>
	</td>
	</tr>
	</table>

	<div class="tablehead"> Sorts: </div>
	
	<table width="100%">
	<xsl:for-each select="./DATASORTDEFLIST/LIST/DATASORTDEF">
	 <tr><th class="datatype">
		<xsl:value-of select="./SORT/SORT/SORTSYM/symbol"/> =
	 </th> 
	 <td>
	  <xsl:for-each select="./CONSTRUCTORDEFLIST/LIST/CCONSTRDEF">
	  	<div class="datatype"> <xsl:value-of select="./CONSTRUCTORCONST/EXPR"/> </div> Comment: <xsl:value-of select="./CONSTRUCTORCOMMENT/string"/> <br/>
	  </xsl:for-each>
	 </td>
	 </tr>
	</xsl:for-each>
	<tr>
	<td colspan="2">
	<xsl:value-of select="./DATASORTDEFLIST/LIST/DATASORTDEF/DATASORTCOMMENT/string"/>
	</td>
	</tr>

	</table>

	
	<hr/>

	<div class="tablehead"> Variables: </div>
	
	<table width="100%">
	<xsl:for-each select="./VARCOMMENTLIST/LIST/PAIR">
	 <tr><td>
		<xsl:value-of select="./FST/EXPR"/> 
	 </td> 
	</tr>
	</xsl:for-each>


	</table>



	<div class="tablehead"> Size Functions: </div>
	
	<table width="100%">
	<xsl:for-each select="./SIZEFCTCOMMENTLIST/LIST">
	 <tr><td>
		???
	 </td> 
	</tr>
	</xsl:for-each>
	</table>


	<div class="tablehead"> Order Predicates: </div>
	
	<table width="100%">
	<xsl:for-each select="./LESSPRDCOMMENTLIST/LIST">
	 <tr><td>
		???
	 </td> 
	</tr>
	</xsl:for-each>
	</table>


	</body>
	</html>

</xsl:template>


<xsl:template match="/ACTUALIZEDSPEC">
	<html>
	<head>
		<title> Actualized Specification </title>
		<style type="text/css">
		.seq { white-space:pre; font-family:monospace ; font-size:150%  }
		.bgyellow {background-color:#FFFF00}
		.bgblue {background-color:#ade4FF}
		.bggreen {background-color:#00FF00}
		.tablehead {font-family:monospace; color:red; font-size:200% ; text-align: left}
		.axiomname {font-family:monospace; vertical-align:top; color:#00FF0F; font-size:150% ; text-align: left}
		.usedspecs { font-size:150% ; text-align: left}
		.comment { font-size:100% ; text-align: left}
		.linkedspec { font-size:150% ; text-align: left}
		.specheader {background-color:#FFFF00; font-size:200% ; text-align: left}
		</style>
	</head>
	<body>
		hello
	</body>
	</html>
</xsl:template>



</xsl:stylesheet>
