(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import ZArith.
Require Import Rbase.
Axiom Max_is_ge : forall (x:Z) (y:Z), (x <= (Zmax x y))%Z /\
  (y <= (Zmax x y))%Z.

Axiom Max_is_some : forall (x:Z) (y:Z), ((Zmax x y) = x) \/ ((Zmax x y) = y).

Axiom Min_is_le : forall (x:Z) (y:Z), ((Zmin x y) <= x)%Z /\
  ((Zmin x y) <= y)%Z.

Axiom Min_is_some : forall (x:Z) (y:Z), ((Zmin x y) = x) \/ ((Zmin x y) = y).

Axiom Max_x : forall (x:Z) (y:Z), (y <= x)%Z -> ((Zmax x y) = x).

Axiom Max_y : forall (x:Z) (y:Z), (x <= y)%Z -> ((Zmax x y) = y).

Axiom Min_x : forall (x:Z) (y:Z), (x <= y)%Z -> ((Zmin x y) = x).

Axiom Min_y : forall (x:Z) (y:Z), (y <= x)%Z -> ((Zmin x y) = y).

Axiom Max_sym : forall (x:Z) (y:Z), (y <= x)%Z -> ((Zmax x y) = (Zmax y x)).

Axiom Min_sym : forall (x:Z) (y:Z), (y <= x)%Z -> ((Zmin x y) = (Zmin y x)).

Inductive tree  :=
  | Null : tree 
  | Tree : Z -> tree -> tree -> tree .

Set Implicit Arguments.
Fixpoint mem(v:Z) (t:tree) {struct t}: Prop :=
  match t with
  | Null => False
  | (Tree x l r) => (x = v) /\ ((mem v l) /\ (mem v r))
  end.
Unset Implicit Arguments.

Set Implicit Arguments.
Fixpoint ge_tree(v:Z) (t:tree) {struct t}: Prop :=
  match t with
  | Null => True
  | (Tree x l r) => (x <= v)%Z /\ ((ge_tree v l) /\ (ge_tree v r))
  end.
Unset Implicit Arguments.

Parameter max: tree -> Z.


Axiom max_spec : forall (v:Z) (t:tree), ((~ (t = Null)) /\ ((ge_tree v t) /\
  (mem v t))) -> ((max t) = v).

Set Implicit Arguments.
Fixpoint max_aux(t:tree) (acc:Z) {struct t}: Z :=
  match t with
  | Null => acc
  | (Tree v l r) => (max_aux l (max_aux r (Zmax v acc)))
  end.
Unset Implicit Arguments.

Axiom max_aux_le_acc : forall (t:tree) (z:Z) (acc:Z), (z <= acc)%Z ->
  (z <= (max_aux t acc))%Z.

Axiom max_aux_ge_1 : forall (t1:tree) (t2:tree) (acc:Z), (ge_tree acc t2) ->
  (ge_tree (max_aux t1 acc) t2).

Axiom max_aux_ge_2 : forall (t:tree) (z:Z) (acc:Z), ((max_aux t
  acc) <= z)%Z -> (ge_tree z t).

(* YOU MAY EDIT THE CONTEXT BELOW *)

(* DO NOT EDIT BELOW *)

Theorem max_aux_correct : forall (t:tree),
  match t with
  | Null => True
  | (Tree v l r) => ((max t) = (max_aux l (max_aux r v)))
  end.
(* YOU MAY EDIT THE PROOF BELOW *)
induction t; auto.
apply max_spec.
split.
discriminate.
split.
simpl.
split.
apply max_aux_le_acc; apply max_aux_le_acc; auto with zarith.
split.
apply max_aux_ge_2 with (acc:=(max_aux t2 z)); auto with zarith.
apply max_aux_ge_1.
apply max_aux_ge_2 with (acc:=z); auto with zarith.

Qed.
(* DO NOT EDIT BELOW *)


